cURL
curl --request POST \
--url https://api.pay.walletconnect.com/v1/payments/{id}/cancel \
--header 'Api-Key: <api-key>' \
--header 'Merchant-Id: <merchant-id>'import requests
url = "https://api.pay.walletconnect.com/v1/payments/{id}/cancel"
headers = {
"Api-Key": "<api-key>",
"Merchant-Id": "<merchant-id>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Merchant-Id': '<merchant-id>'}
};
fetch('https://api.pay.walletconnect.com/v1/payments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cancelledAt": "2025-01-14T10:30:00Z",
"cancelledReason": "cancelled_by_merchant",
"paymentId": "pay_71a2ecc101KQFN7X7RM3Z9GB4ZGNM17TRB",
"status": "cancelled"
}{
"code": "rate_limited",
"message": "<string>"
}{
"code": "rate_limited",
"message": "<string>"
}{
"code": "rate_limited",
"message": "<string>"
}{
"code": "rate_limited",
"message": "<string>"
}Payments
POST /v1/payments/{id}/cancel
POST
/
v1
/
payments
/
{id}
/
cancel
cURL
Authorizations
API KeyApiKeyAppId
Headers
Path Parameters
Payment ID
Example:
"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"
Response
Payment cancelled successfully
Payment ID
Example:
"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"
Payment status representing the lifecycle of a payment.
Payments progress through these states from creation to terminal status. Some states are specific to the payment source (pull vs push).
Available options:
requires_action, processing, succeeded, failed, expired, cancelled ⌘I